ldns documentation

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
ldns-signzone.c File Reference

Go to the source code of this file.

## Macros
#define | MAX_FILENAME_LEN 250

## Functions
void | strip_dnssec_records (ldns_zone *zone)
int | main (int argc, char *argv[])

## Variables
int | verbosity = 1

## Macro Definition Documentation

#define MAX_FILENAME_LEN 250

Definition at line 24 of file ldns-signzone.c.

## Function Documentation

void strip_dnssec_records | ( | ldns_zone * | zone | ) |

Definition at line 291 of file ldns-signzone.c.

References ldns_rr_free(), ldns_rr_get_type(), ldns_rr_list_free(), ldns_rr_list_new(), ldns_rr_list_pop_rr(), ldns_rr_list_push_rr(), LDNS_RR_TYPE_NSEC, LDNS_RR_TYPE_NSEC3, LDNS_RR_TYPE_RRSIG, ldns_zone_rrs(), and ldns_zone_set_rrs().

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 314 of file ldns-signzone.c.

References ldns_struct_output_format_storage::hashmap, LDNS_COMMENT_BUBBLEBABBLE, LDNS_COMMENT_FLAGS, LDNS_COMMENT_LAYOUT, LDNS_COMMENT_NSEC3_CHAIN, LDNS_DEFAULT_TTL, ldns_dnssec_default_replace_signatures(), ldns_dnssec_zone_add_rr(), ldns_dnssec_zone_free(), ldns_dnssec_zone_new(), ldns_dnssec_zone_print(), ldns_dnssec_zone_print_fmt(), ldns_dnssec_zone_sign_flg(), ldns_dnssec_zone_sign_nsec3_flg_mkmap(), LDNS_FREE, ldns_get_errorstr_by_id(), ldns_hexdigit_to_int(), ldns_key_algorithm(), ldns_key_list_free(), ldns_key_list_key_count(), ldns_key_list_new(), ldns_key_list_push_key(), ldns_key_new_frm_engine(), ldns_key_new_frm_fp_l(), ldns_key_set_expiration(), ldns_key_set_inception(), ldns_mktime_from_utc(), LDNS_NSEC3_MAX_ITERATIONS, LDNS_NSEC3_VARS_OPTOUT_MASK, LDNS_RR_CLASS_IN, ldns_rr_list_deep_free(), ldns_rr_list_new(), ldns_rr_list_rr(), ldns_rr_list_rr_count(), ldns_rr_print(), LDNS_SIGN_DNSKEY_WITH_ZSK, LDNS_SIGN_DSA, LDNS_SIGN_DSA_NSEC3, LDNS_SIGN_ECC_GOST, LDNS_SIGN_ECDSAP256SHA256, LDNS_SIGN_ECDSAP384SHA384, LDNS_SIGN_RSAMD5, LDNS_SIGN_RSASHA1, LDNS_SIGN_RSASHA1_NSEC3, LDNS_SIGN_RSASHA256, LDNS_SIGN_RSASHA512, LDNS_STATUS_OK, ldns_str2rdf_dname(), LDNS_VERSION, ldns_version(), LDNS_XMALLOC, ldns_zone_deep_free(), ldns_zone_new_frm_fp_l(), ldns_zone_rrs(), ldns_zone_soa(), and MAX_FILENAME_LEN.

## Variable Documentation

int verbosity = 1

Definition at line 25 of file ldns-signzone.c.